Bug 458586 - libgio not executing properly if called by root account
libgio not executing properly if called by root account
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
9
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 460739 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-10 09:38 EDT by Paul D
Modified: 2009-07-14 10:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:28:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 556458 None None None Never

  None (edit)
Description Paul D 2008-08-10 09:38:17 EDT
Description of problem: I executed an update all on Wednesday of this week since which I have been unable to open either Nautilus or system-config-firewall from a root terminal session.  The error is reported as a GIO critical error and as GIO is the replacement for GVFS? I am posting the error here (I can't find the component GIO would seem to be part of...sorry).

I'm not sure which component has caused the 'break' but /var/log/messages is reporting the error as within libgio - 

kernel: nautilus[7654]: segfault at 4 ip 0060d925 sp bfae6c20 error 4 in libgio-2.0.so.0.0.0[5f5000+6c000]

The error message in the gnome-terminal session is:-

(nautilus:28858): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(nautilus:28858): GLib-CRITICAL **: g_error_free: assertion `error != NULL' failed

(nautilus:28858): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(nautilus:28858): GLib-GIO-WARNING **: (gfile.c:5244):IA__g_file_load_partial_contents_finish: runtime check failed: (g_simple_async_result_get_source_tag (simple) == g_file_load_contents_async)
Segmentation fault

Version-Release number of selected component (if applicable):

Not sure which component has caused the 'break' (see above).

How reproducible:

Open gnome-terminal session.

normaluser>: su - (Password)

root>: nautilus

or

root>: gnome-config-firewall

Steps to Reproduce:
1.
2.
3.
  
Actual results:

error messages and segfault in gnome-terminal session


Expected results:

Either nautilus or gnome-config-firewall to open successfully

Additional info:
Comment 1 Arthur Dent 2008-08-10 10:23:37 EDT
Just to add my experience is exactly the same. Since I updated with yum on Friday 8/8/2008, running system-config-firewall from the command line (or menu option) segfaults:

From cli:
=========

[root@mydomain ~]# system-config-firewall &
[1] 935
[root@mydomain ~]# 
(system-config-firewall.py:940): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed
/usr/share/system-config-firewall/fw_gui.py:2149: Warning: g_error_free: assertion `error != NULL' failed
  result = dialog.run()

(system-config-firewall.py:940): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(system-config-firewall.py:940): GLib-GIO-WARNING **: (gfile.c:5244):IA__g_file_load_partial_contents_finish: runtime check 
failed: (g_simple_async_result_get_source_tag (simple) == g_file_load_contents_async)

[1]+  Exit 139                system-config-firewall
[root@mydomain ~]# 

Extract from /var/log/messages:
===============================
Aug 10 15:20:52 mydomain kernel: system-config-f[940]: segfault at 4 ip 07c73925 sp bfc83b90 error 4 in libgio-2.0.so.0.0.0[7c5b000+6c000]
Comment 2 Paul D 2008-08-10 21:44:10 EDT
Now this adds a quirk to the data......

I just happened to have a blank DVD in the DVD drive since mid week (I was getting ready to do a backup and hadn't got round to it yet).

Anyway with the DVD in the drive the bug happens as is, with the DVD out no problem.

Even more interesting if I open a nautilus session (from the root account) and then load a blank DVD the nautilus session segfaults as per the bug.
Comment 3 Tomáš Bžatek 2008-08-11 13:23:11 EDT
Couldn't reproduce on clean Fedora 9 system and Rawhide. A stack trace would be really helpful in this case, could you please grab and attach it when crash happens next time? Please also install debug packages of glib2, nautilus and gvfs first. This guide may help you in getting stacktraces: http://fedoraproject.org/wiki/StackTraces

Also, please make sure you have gvfs installed (and verify running via ps aux | grep gvfsd).
Comment 4 Arthur Dent 2008-08-12 04:35:59 EDT
Hi Tomáš,

I haven't been able to do a stack trace I'm afraid, but Paul's comment about the blank DVD is worth investigating further.

I too had a blank (well actually not blank but R/W) DVD in the slot ready for my weekly backup.

Removing the DVD allowed it to work.

Putting the DVD into my other F9 system (which worked previously) caused that to segfault too.

So Tomáš, could you try popping a blank (or R/W) DVD in the slot and trying it yourself to see if you can reproduce the error?
Comment 5 Arthur Dent 2008-08-12 04:41:16 EDT
p.s.

Without a DVD in the drive I get this:
=======

[root@mydomain ~]# ps aux | grep gvfsd
gdm       2409  0.0  0.2   7232   996 ?        S    Aug10   0:00 /usr/libexec/gvfsd
root     21612  0.0  0.1   5040   704 pts/1    S+   09:36   0:00 grep gvfsd

And system-config-firewall works.


With a DVD in the drive I get this:
====
[root@localhost ~]# ps aux | grep gvfsd
root      1060  0.0  0.0   4120   676 pts/1    R+   09:28   0:00 grep gvfsd
mark      2685  0.0  0.0   6456  1896 ?        S    07:46   0:00 /usr/libexec/gvfsd
mark      2726  0.0  0.1  16992  2476 ?        S    07:46   0:00 /usr/libexec/gvfsd-trash --spawner :1.5 /org/gtk/gvfs/exec_spaw/0
mark      2738  0.0  0.0   6424  1984 ?        S    07:46   0:00 /usr/libexec/gvfsd-burn --spawner :1.5 /org/gtk/gvfs/exec_spaw/1

And system-config-firewall segfaults.


HTH
Comment 6 Michal Schmidt 2008-09-03 03:21:24 EDT
*** Bug 460739 has been marked as a duplicate of this bug. ***
Comment 7 dapi 2008-09-03 10:40:19 EDT
The same bug for me if I run "Open file dialog" in SciTD, gedit or any other programm that uses glib's GIO for it.

Versions of glib are 2.16.3-r1 / glib-2.16.5.

(gedit:28547): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(gedit:28547): GLib-CRITICAL **: g_error_free: assertion `error != NULL' failed

(gedit:28547): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(gedit:28547): GLib-GIO-WARNING **: (gfile.c:5244):IA__g_file_load_partial_contents_finish: runtime check failed: (g_simple_async_result_get_source_tag (simple) == g_file_load_contents_async)
Comment 8 Kai Engert (:kaie) 2008-10-15 15:13:36 EDT
Question to people who see this bug:

Are you using remote X forwarding, with "ssh -X" or "ssh -y"?

If yes, then this is a duplicate of bug 466687 (or vice versa).
Comment 9 Alessandro Pagnin 2008-10-16 02:40:57 EDT
No, I am not using remote X forwarding.
Comment 10 Arthur Dent 2008-10-18 13:55:01 EDT
I actually have two F9 machines here. One acts as a "headless" server and yes, I *do* ssh into that machine (from the other F9 machine) with a ssh -Y command.

The other F9 machine could be classed as a stand-alone PC (on the same network) i.e. it is not dependent upon the other PC for anything except imap mail feed, a few NFS directories and a couple of other things.

I can confirm that both machines (the one over ssh and the local one) still segfault when given the "system-config-firewall &" command if (and ONLY IF) there is a blank disk in the CD/DVD Drive. Without media in the drive the command works correctly on both machines; with media in the drive the command fails on both machines.

HTH
Comment 11 James 2008-10-26 10:24:23 EDT
I second comment #10 --- I had a blank DVD in at the time, ejected it and it ran OK.
Comment 12 George Chriss 2008-11-18 11:06:06 EST
I was burning a USB-attached DVD+R when I experienced Firefox crashes as follows:

(firefox:29147): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(firefox:29147): GLib-CRITICAL **: g_error_free: assertion `error != NULL' failed

(firefox:29147): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(firefox:29147): GLib-GIO-WARNING **: (gfile.c:5249):IA__g_file_load_partial_contents_finish: runtime check failed: (g_simple_async_result_get_source_tag (simple) == g_file_load_contents_async)
/usr/lib64/firefox-3.0.4/run-mozilla.sh: line 131: 29147 Segmentation fault      "$prog" ${1+"$@"}


Firefox was started via opening a terminal, su'ing to another user, and then opening.  Specifically, the crash was triggered during 'open file' related actions.  I'm on a  2.6.26.3 kernel, Firefox 3.0.4, and Fedora 9 with the latest updates as of 18-Nov-2008.

I hope this helps,
George
Comment 13 Kai Engert (:kaie) 2008-11-18 11:33:02 EST
I guess this bug happens with any kind of user account forwarding, be it ssh -X or su.

Maybe it also happens when some action requires such an elevation-to-root as part of background activity, or maybe act-as-the-group-that-owns-the-dvd?

FYI, I have reported this bug upstream at 
http://bugzilla.gnome.org/show_bug.cgi?id=556458
Comment 14 Bug Zapper 2009-06-09 22:25:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 10:28:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.